Bug 137652 - Building WebInspectorUI should not run the clang static analyzer by default
Summary: Building WebInspectorUI should not run the clang static analyzer by default
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Andrei Bucur
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-13 00:38 PDT by Andrei Bucur
Modified: 2014-11-04 12:30 PST (History)
4 users (show)

See Also:


Attachments
Patch (1.54 KB, patch)
2014-10-15 23:38 PDT, Andrei Bucur
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Bucur 2014-10-13 00:38:34 PDT
The DebugRelease.xconfig file sets RUN_CLANG_STATIC_ANALYZER to true by default during the build phase. This should happen for the analyze phase.

This causes an issue when building WebKit with ASAN because the analyze step for WebInspectorUI.c runs with the default clang, not the ASAN clang and a build error is triggered when using the sanitize compile flag.
Comment 1 Andrei Bucur 2014-10-15 23:38:08 PDT
Created attachment 239933 [details]
Patch
Comment 2 WebKit Commit Bot 2014-11-04 12:30:47 PST
Comment on attachment 239933 [details]
Patch

Clearing flags on attachment: 239933

Committed r175569: <http://trac.webkit.org/changeset/175569>
Comment 3 WebKit Commit Bot 2014-11-04 12:30:50 PST
All reviewed patches have been landed.  Closing bug.